$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.198-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.198-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C72AF9FDD9ECDDA6CDE876C74F33E27D8B06977FAE8032A6F5D255A255F28374'
  checksumType = 'sha256'
  checksum64 = 'C72AF9FDD9ECDDA6CDE876C74F33E27D8B06977FAE8032A6F5D255A255F28374'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.198-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
